extractvectors(1)

NAME
extractvectors - Vector Extraction Tool for OMNeT++ Vector Files

SYNOPSIS
extractvectors [Input File] [Output File] [Vector Name Prefix] [...] -quiet

DESCRIPTION
extractvectors is an extraction tool for vectors written by OMNeT++ to a data table. ExtractVectors supports on-the-fly BZip2 decompression and compression.

ARGUMENTS
The following arguments may be provided:

Input File
    The name of the input vector file.

Output File
    The name of the output data table to be created.

Vector Name Prefix
    Name prefix of vectors to be extracted. Multiple vector name prefixes may be specified. If no name prefix is given, all vectors will be extracted.

-quiet
    Do not print verbose status information.

EXAMPLE
Consider an OMNeT++ vector file containing the vectors "Slow Start Threshold <assoc>:<path>" and "Congestion Window <assoc>:<path>", contained with a lot of other vectors in the BZip2-compressed vector file results.vec.bz2. ExtractVectors can be used to extract all vectors beginning with "Slow Start Threshold" or "Congestion Window" into a BZip2-compressed data table results.data.bz2 by the following command:
extractvectors results.vec.bz2 results.data.bz2 \ "Slow Start Threshold" \ "Congestion Window"
For each vector entry, an output line containing time (Time), event number (Event), object name (Object), vector name (Vector) and the vector value (Value) will be created.
Example:
Time Event Object Vector Value
0.003672 174 "net.client[0].sctp" "Slow Start Threshold 2:Total" 10000000
0.003672 174 "net.client[0].sctp" "Slow Start Threshold 2:Total" 10000000
0.003672 174 "net.client[0].sctp" "Congestion Window 2:Total" 4380
0.003672 174 "net.client[0].sctp" "Congestion Window 2:Total" 8760
0.003913 238 "net.server[0].sctp" "Slow Start Threshold 4:Total" 10000000
0.003913 238 "net.server[0].sctp" "Slow Start Threshold 4:Total" 10000000
0.003913 238 "net.server[0].sctp" "Congestion Window 4:Total" 3000
0.003913 238 "net.server[0].sctp" "Congestion Window 4:Total" 6000

AUTHORS
Thomas Dreibholz
https://www.uni-due.de/~be0001/omnetpp
mailto://dreibh@iem.uni-due.de